std::_Tuple_impl< _Idx, _Elements > Struct Template Reference
Utilities

## Detailed Description

template<size_t _Idx, typename... _Elements>
struct std::_Tuple_impl< _Idx, _Elements >

Contains the actual implementation of the `tuple` template, stored as a recursive inheritance hierarchy from the first element (most derived class) to the last (least derived class). The `Idx` parameter gives the 0-based index of the element stored at this point in the hierarchy; we use it to implement a constant-time get() operation.

Definition at line 249 of file tuple.

The documentation for this struct was generated from the following file:

- tuple